# $Revision: 1.23 $, $Date: 2006/12/13 22:55:32 $
%define		_modname	odbtp
%define		_status		stable
%define		_sysconfdir	/etc/php
%define		extensionsdir	%(php-config --extension-dir 2>/dev/null)
Summary:	%{_modname} - ODBTP client functions
Summary(pl):	%{_modname} - funkcjonalno klienta ODBTP
Name:		php-pecl-%{_modname}
Version:	1.1.4
Release:	3
License:	LGPL
Group:		Development/Languages/PHP
Source0:	http://pecl.php.net/get/%{_modname}-%{version}.tgz
# Source0-md5:	0ae71132e80c1bacb8ecc8d8221358f1
Patch0:		%{name}-shared.patch
Patch1:		%{name}-shared64.patch
Patch2:		%{name}-confpath.patch
URL:		http://pecl.php.net/package/odbtp/
BuildRequires:	odbtp-devel = %{version}
BuildRequires:	php-devel >= 3:5.0.0
BuildRequires:	rpmbuild(macros) >= 1.322
%{?requires_php_extension}
Requires:	%{_sysconfdir}/conf.d
Provides:	php(odbtp)
Obsoletes:	php-odbtp
Obsoletes:	php-pear-odbtp
Conflicts:	php-mssql
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This extension provides a set of ODBTP, Open Database Transport
Protocol, client functions. ODBTP allows any platform to remotely use
the ODBC facilities installed on a Win32 host to connect to a
database. Linux and UNIX clients can use this extension to access
Win32 databases like MS SQL Server, MS Access and Visual FoxPro.

In PECL status of this extension is: %{_status}.

%description -l pl
To rozszerzenie dostarcza zestaw funkcji klienta ODBTP, Otwartego
Protokou Transportu Baz Danych (Open Database Transport Protocol).
ODBTP pozwala na zdalny dostp do ODBC zainstalowanego na komputerze z
systemem Windows. Umoliwia to dostp do baz danych takich jak MS SQL
Server, MS Access czy Visual FoxPro z poziomu systemu Linux/Unix.

To rozszerzenie ma w PECL status: %{_status}.

%prep
%setup -q -c
%if "%{_lib}" == "lib64"
%patch1 -p1
%else
%patch0 -p1
%endif
%patch2 -p1

%build
cd %{_modname}-%{version}
phpize
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/conf.d,%{extensionsdir}}

install %{_modname}-%{version}/modules/%{_modname}.so $RPM_BUILD_ROOT%{extensionsdir}
cat <<'EOF' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.d/%{_modname}.ini
; Enable %{_modname} extension module
extension=%{_modname}.so
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart

%postun
if [ "$1" = 0 ]; then
	[ ! -f /etc/apache/conf.d/??_mod_php.conf ] || %service -q apache restart
	[ ! -f /etc/httpd/httpd.conf/??_mod_php.conf ] || %service -q httpd restart
fi

%files
%defattr(644,root,root,755)
%doc %{_modname}-%{version}/{CREDITS,EXPERIMENTAL}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/conf.d/%{_modname}.ini
%attr(755,root,root) %{extensionsdir}/%{_modname}.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pecl-odbtp.spec,v $
Revision 1.23  2006/12/13 22:55:32  glen
- rel 3 (php 5.2.0)

Revision 1.22  2006/11/26 15:34:25  glen
- rel 2: add Provides: php(%{_modname})

Revision 1.21  2006/11/02 23:09:09  glen
- BR rpmmacros for fixed %requires_php_extension

Revision 1.20  2006/07/19 14:34:43  hawk
- updated to 1.1.4
- BR same version of odbtp-devel, built with other version doesn't work ok

Revision 1.19  2005/12/22 12:12:19  glen
- rel 7 (rebuild with new php)

Revision 1.18  2005/12/18 23:18:49  glen
- can't coexist with mssql (symbols collision and php crash); rel 6

Revision 1.17  2005/10/30 13:29:36  glen
- rel 5

Revision 1.16  2005/10/29 00:05:14  glen
- rebuild with zts and debug requires

Revision 1.15  2005/10/08 09:14:54  glen
- rel 2

Revision 1.14  2005/10/03 21:25:02  glen
- Provides php-odbtp (pear makerpm sees it as php extension not pecl)

Revision 1.13  2005/09/21 18:02:02  glen
- added configdir patch
- obsoletes demacroized

Revision 1.12  2005/09/21 07:31:46  glen
- macro for both obsoletes

Revision 1.11  2005/09/20 22:32:32  qboosh
- Obsoletes: php-odbtp

Revision 1.10  2005/09/14 13:37:00  glen
- conf.d and php api macros

Revision 1.9  2005/09/13 21:16:43  glen
- superfluous BR libtool removed

Revision 1.8  2005/09/12 12:36:19  glen
- ./adapter -s

Revision 1.7  2005/05/11 14:19:33  qboosh
- more general lib64 if

Revision 1.6  2004/11/02 22:42:52  adamg
- grr, typo in patch number

Revision 1.5  2004/11/02 22:39:54  adamg
- ugly fix for amd64

Revision 1.4  2004/11/02 22:05:23  adamg
- BuildRequires: odbtp-devel

Revision 1.3  2004/10/08 20:58:11  snurf
- pl desc cosmetics

Revision 1.2  2004/10/08 10:13:16  qboosh
- pl fixes

Revision 1.1  2004/10/05 15:26:46  adamg
- new
